relaxngcc.grammar

## Class AnyNameClass

- java.lang.Object
- - relaxngcc.grammar.NameClass
  - - relaxngcc.grammar.AnyNameClass

    public class AnyNameClass
    extends NameClass

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`NameClass` `except`

### Constructor Summary

Constructors
Constructor and Description
`AnyNameClass(ParserRuntime rt, NameClass _except)`

### Method Summary

Methods
`java.lang.Object` `apply(NameClassFunction f)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### except

    public final NameClass except

### Constructor Detail

#### AnyNameClass

    public AnyNameClass(ParserRuntime rt,
                NameClass _except)

### Method Detail

#### apply

    public java.lang.Object apply(NameClassFunction f)

Specified by:
  `apply` in class `NameClass`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`